//
// DataGlyph.java
//
// This is the base class for all
// glyph plugins...
//

package spg;

import java.awt.*;

public abstract class DataGlyph {
    protected ViewerState global;
    final protected String name;
    protected Font legendFont;
    protected FontMetrics legendFM;
    
    protected int numOptions;
    protected boolean optionFlags[];
    protected String optionNames[];

    public DataGlyph(String myName) {
	name = myName;
	numOptions = 0;
    }

    public String getName() {
	return name;
    }

    public int getNumOptions() {
	return numOptions;
    }

    public String getOptionName(int index) {
	if ((index >= 0) && (index < numOptions))
	    return optionNames[index];
	else
	    return null;
    }

    public boolean getOptionValue(int index) {
	if ((index >= 0) && (index < numOptions))
	    return optionFlags[index];
	else
	    return false;
    }

    public void setOptionValue(int index, boolean value) {
	if ((index >= 0) && (index < numOptions))
	    optionFlags[index] = value;
    }

    public void setLegendFontInfo(Font f, FontMetrics fm) {
	legendFont = f;
	legendFM = fm;
    }

    public int getLabelOffset(double halfGlyphSize, double leastValue, double greatestValue,
	double[] dataPoint, ViewerState global)
    {
	return 0;
    }

    public void drawLegend(Graphics g, int sideLength, ViewerState global)
    {
    }
    
    public void drawGlyph(Graphics g, int x, int y, double halfGlyphSize, 
	double leastValue, double greatestValue, double[] dataPoint, ViewerState global) 
    {
    }
}
