//
// MyFileDialog.java
//
// A simple dialog window used by various
// classes...
//

package spg;

import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class MyFileDialog extends FileDialog implements WindowListener,
								FilenameFilter {
    ViewerState global;

    MyFileDialog(Frame parent, String title, int type, 
	ViewerState gInfo)
    {
	super(parent, title, type);

	global = gInfo;
	setFile(global.fileName);
	setFilenameFilter(this);
	setDirectory("./data");

	addWindowListener(this);

	pack();
    }

    public boolean accept(File dir, String name) {
	// Check for a .spg extension
	return name.toLowerCase().endsWith(".spg");
    }

    public void windowClosed(WindowEvent event) {
    }

    public void windowDeiconified(WindowEvent event) {
    }

    public void windowIconified(WindowEvent event) {
    }

    public void windowActivated(WindowEvent event) {
    }

    public void windowDeactivated(WindowEvent event) {
    }

    public void windowOpened(WindowEvent event) {
    }

    public void windowClosing(WindowEvent event) {
	setVisible(false);
    }
}
