//
// YesNoCancelDialog.java
//
// A simple dialog window used by various
// classes...
//

package spg;

import java.awt.*;
import java.awt.event.*;

public class YesNoCancelDialog extends Dialog implements ActionListener,		
						WindowListener {
    static int YES = 1;
    static int NO = 2;
    static int CANCEL = 3;

    int result;

    Button yesButton, noButton, cancelButton;

    YesNoCancelDialog(Frame parent, String title, 
	int numLines, String[] message, int[] just, boolean modal)
    {
	super(parent, title, modal);

	result = CANCEL;	// Default

	addWindowListener(this);

	Label messageLine;
	Panel p1, p2;

	p1 = new Panel(new GridLayout(0, 1, 5, 0));
	p2 = new Panel();
	add(p1, "Center");
	add(p2, "South");

	for (int i = 0; i < numLines; i++) {
	    messageLine = new Label(message[i], just[i]);
	    p1.add(messageLine);
	}

	yesButton = new Button("Yes");
	yesButton.addActionListener(this);
	p2.add(yesButton, "South");

	noButton = new Button("No");
	noButton.addActionListener(this);
	p2.add(noButton, "South");

	cancelButton = new Button("Cancel");
	cancelButton.addActionListener(this);
	p2.add(cancelButton, "South");

	pack();
    }

    public synchronized void actionPerformed(ActionEvent ev) {
	Object whichOne = ev.getSource();
	if (whichOne == yesButton)
	    result = YES;
	else if (whichOne == noButton)
	    result = NO;

	setVisible(false);
    }

    public void windowClosed(WindowEvent event) {
    }

    public void windowDeiconified(WindowEvent event) {
    }

    public void windowIconified(WindowEvent event) {
    }

    public void windowActivated(WindowEvent event) {
    }

    public void windowDeactivated(WindowEvent event) {
    }

    public void windowOpened(WindowEvent event) {
    }

    public void windowClosing(WindowEvent event) {
	setVisible(false);
    }
}
